Market

Market summary (volume, units, rate, loan amount, credit score, LTV, DTI, income, etc.) with previous-period comparison

POST
/v1/market/analytics/summary

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/market/analytics/summary" \  -H "Content-Type: application/json" \  -d '{}'
{
  "current": {
    "avgAppraisedValue": 0,
    "avgCombinedLtv": 0,
    "avgCreditScore": 0,
    "avgDTI": 0,
    "avgDtiFront": 0,
    "avgIncome": 0,
    "avgLTV": 0,
    "avgLoanAmount": 0,
    "avgLoanTerm": 0,
    "avgPurchasePrice": 0,
    "avgRate": 0,
    "excluded": {
      "avgAppraisedValue": 0,
      "avgCombinedLtv": 0,
      "avgCreditScore": 0,
      "avgDTI": 0,
      "avgDtiFront": 0,
      "avgIncome": 0,
      "avgLTV": 0,
      "avgLoanAmount": 0,
      "avgLoanTerm": 0,
      "avgPurchasePrice": 0,
      "avgRate": 0,
      "originatedVolume": 0,
      "volume": 0
    },
    "originatedUnits": 0,
    "originatedVolume": 0,
    "outcomes": [
      {
        "outcome": "string",
        "units": 0,
        "volume": 0
      }
    ],
    "units": 0,
    "volume": 0
  },
  "previous": {
    "avgAppraisedValue": 0,
    "avgCombinedLtv": 0,
    "avgCreditScore": 0,
    "avgDTI": 0,
    "avgDtiFront": 0,
    "avgIncome": 0,
    "avgLTV": 0,
    "avgLoanAmount": 0,
    "avgLoanTerm": 0,
    "avgPurchasePrice": 0,
    "avgRate": 0,
    "excluded": {
      "avgAppraisedValue": 0,
      "avgCombinedLtv": 0,
      "avgCreditScore": 0,
      "avgDTI": 0,
      "avgDtiFront": 0,
      "avgIncome": 0,
      "avgLTV": 0,
      "avgLoanAmount": 0,
      "avgLoanTerm": 0,
      "avgPurchasePrice": 0,
      "avgRate": 0,
      "originatedVolume": 0,
      "volume": 0
    },
    "originatedUnits": 0,
    "originatedVolume": 0,
    "outcomes": [
      {
        "outcome": "string",
        "units": 0,
        "volume": 0
      }
    ],
    "units": 0,
    "volume": 0
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}